
def loadSequence(filename):
    f=open(filename)
    seq=""
    for row in f:
        seq += row.split()[2]
    f.close()
    return seq

def loadPositions(filename):
    f=open(filename)
    positions=[]
    for row in f:
        data=row.split()
        if len(data) > 3:
            positions.append(int(data[1]))
    f.close()
    return positions

def stringPositions(positions, sequence):
    string_position=""
    for pos in range(positions[0],positions[-1]+1):
        if pos in positions:
            string_position += sequence[pos].upper()
        else:
            string_position += sequence[pos].lower()
    return string_position
        
def extractSites(filename):
    sequence=loadSequence(filename)
    positions=loadPositions(filename)
    print stringPositions(positions, sequence)
